#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'wetter/menu.rb'
# =========================================================================== #
class Wetter

  # ========================================================================= #
  # === menu                                                       (menu tag)
  # ========================================================================= #
  def menu(i)
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i # case tag
      # ===================================================================== #
      # === --URL
      # ===================================================================== #
      when /URL$/i
        show_the_remote_url
        exit
      # ===================================================================== #
      # === help
      # ===================================================================== #
      when /help$/
        show_help
        exit
      # ===================================================================== #
      # === debug
      # ===================================================================== #
      when /debug/
        enable_debug_mode
      end
    end
  end

end